Skip to main content
`Ctrl`+`K`

# DMTSSetRHSFunctionLocal

set a local rhs function evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and `DM` will automatically accumulate the overlapping values.

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetRHSFunctionLocal(DM dm, PetscErrorCode (*func)(DM dm, PetscReal t, Vec u, Vec f, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local function evaluation

- ctx - context for function evaluation

## Calling sequence of `func`

- dm - the `DM`

- t - the current time

- u - the current solution

- f - output, the evaluated right hand side

- ctx - the application context for the function

## See Also

TS: Scalable ODE and DAE Solvers, `DM`, `DMTSGetRHSFunctionLocal()`, `DMTSSetRHSFunction()`, `DMTSSetIFunction()`, `DMTSSetIJacobianLocal()`

## Level

beginner

## Location

src/ts/utils/dmlocalts.c

## Examples

src/ts/tutorials/ex45.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex18.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages